:root {--name-padding: 10px}

@font-face {
    font-family: 'fontsncss';
    src: url(/fontsncss/poti.ttf);
}
@font-face {
    font-family: 'fontsncss2';
    src: url(/fontsncss/cute_notes-webfont.woff);
}
@font-face {
    font-family: 'mainFont';
    src: url(https://olly.place/Fonts/bwnxela/lacythethree.ttf);
}
body {
  background-image: url(https://bwnxela.neocities.org/images/downloadmegadark.jpg) ;
  background-color: rgb(211, 224, 209);
  background-repeat: no-repeat;
  color: #201f1fe1;
  border: 10px;
font-family: 'mainFont';
font-size: 1rem;
}
@keyframes hovering {
    from {
        margin-bottom: 3px;
    }
    to {
        margin-bottom: 0;
    }
}
#background, #settingsMenu {
    background-size: 200px 200px;
    border-top-left-radius: 2%;
    border-top-right-radius: 2%;
    /* border: solid 1px; */
    /* border-bottom: none; */
    background-attachment: local;
    padding: 3%;
    margin-left: 2%;
    margin-right: 3%;
}

.allMessages {
   display: inline-block;
   background: #edd49a84;
   border: 1px solid #1c0e01be;
   font-size: 0.93rem;
   font-family: 'mainFont';
   border-radius: 10px;
   margin: 2% ;
   margin-left: 0%;
   line-height: 9.9pt;
   position: relative;
   color: #222222;
   width: auto;
   padding: 10px;
}
.allMessages.pm {
  padding-top: 2px;
}
.allMessages.pm:before {
  content: "[Classified]";
  display: flex;
  align-items: center;
  justify-content: flex-end;
  height: 16px;
  padding: 5px;
  width: calc(100% - 10px);
  line-height: 16px;
  position: absolute;
  right: 0;
  top: 0;
  font-size: 10pt;
  opacity: 0.5;
  color: rgb(241, 5, 5);
}
br {
   height: 6pt;
}
h1 {
  margin: auto;
}
.allMessages:hover:after {
   content: ' ';
   position: absolute;
   left: 0;
   top: 0;
   height: 100%;
   width: 100%;
   border-radius: inherit;
   background-color: rgba(0, 0, 0, 0.05);
   pointer-events: none;
}
#background {
   scrollbar-color: #1c0e0194 transparent;
   scrollbar-width: thin;
}
 .msgBody {
   cursor: text;
   margin-top: var(--name-padding);
}
#input, #nameEntry {
   color: #ece2e2;
   background-image: url(https://bwnxela.neocities.org/images/fa1af055d96107d069e97136438821a0.jpg);
   font-family: 'mainFont';
   font-size: 1rem;
   padding-top: 15px;
   border-radius: 0%;
   border-top: solid 4px #1c0e01be;  
}

#input::placeholder {
   font-family: 'mainFont';
   /* padding-left: 10px; */
}
#input:empty::before {
  color: #ece2e2;
   content: "* send message... *";
   padding-left: 10px;
}
#input:focus, #nameEntry:focus {
   /* outline: dotted 1px #f1e7e7; */
   padding-left: 15px;
}
a {
   font-family: 'mainFont';
}
 #timestamp {
   color: #555;
   font-size: 10pt;
}
 .senderInfo {
   font-family: 'mainFont';
   font-weight: 100;
   padding-bottom: 10px;
}
 .senderInfo * {
  font-family: 'mainFont';
   display: inline-block;
   text-decoration: none;
 }
.badge {
  display: none;
}
/* .senderInfo:has(.owner), .senderInfo:has(.mod) { }*/
 .senderInfo:after {
   display: inline-block;
   content: " wrote:";
   font-family: 'mainFont';
   color: #111111f3;
   margin-left: 0.3em;
   text-decoration: none !important;
   margin-bottom: 10px;
}
 #top_banner {
   display: none;
  
   /* position: absolute; */
}
 #settings {
   filter: invert(50%);
   opacity: 0.75;
}
 #settings:hover {
   filter: invert(10%);
}
 #textInput {
  background-image: url(https://bwnxela.neocities.org/images/fa1af055d96107d069e97136438821a0.jpg);
  height: 50px;
}
 /* blockquote {
   
} */
 #loadMore {
   font-family: 'mainFont';
}
 .pinned {
   position: sticky;
   top: 0;
   z-index: 2;
   border-radius: 5px;
   max-height: 15vh;
   overflow: hidden;
   cursor: default;
}
 .pinned:hover {
   max-height: none;
   height: auto;
   box-shadow: 0px 2px 5px #000;
   background-color: #EEB;
}
 .pinned::before {
   content: "\23F7";
   text-align: center;
   display: flex;
   align-items: flex-end;
   justify-content: center;
   position: absolute;
   left: 0;
   bottom: 0;
   z-index: 2;
   width: 100%;
   max-height: 15vh;
   animation: 500ms linear infinite alternate hovering;
}
 .pinned:hover::before {
   display: none;
}
 .pinned > .allMessages::before {
   content: " ";
   display: block;
   position: absolute;
   left: 0;
   top: 0;
   width: 100%;
   height: 15vh;
   background: linear-gradient(transparent, transparent, #333);
   opacity: 0.75 ;
}
 .pinned > .allMessages:hover::before {
   display: none;
}
 .pinned:after {
   display: inline-block;
   position: absolute;
   right: 2px;
   top: 2px;
   content: "📌";
}
.emoji {
height: 30px;
}
.containsOnlyEmojis {
  max-height: 60px;
}

#emojiTray {
  background-color: #F0F0A3;
  border-color: #d0d0bf;
}
#settingsMenu {
  font-family: 'mainFont';
  color: #111;
}
#settingsMenu hr {
  border: none;
  height: 1px;
  width: 100%;
  background-color: rgb(208, 208, 191);
}
#settingsMenu input[type=text] {
  border: none;
  background-color: #F0F0A3;
  font-family: 'mainFont';
  color: #111;
  border-bottom: solid 1px #1c0e01be;
}
#save {
  background-color: #F0F0A3;
  font-family: 'mainFont';
  color: #111;
  border: solid 1px rgb(208, 208, 191);
}
#is_typing {
  background-color: transparent;
  border: none;
  border-radius: 1px;
  position: absolute;
  right: 7px;
  bottom: 27px;
  overflow: visible;
  width: auto;
  justify-content: flex-end;
}
#is_typing:before {
  color: #e5dddd;
  content: "Someone is typing";
  font-size: 8pt;
  background-color: transparent;
}
#is_typing > span {
  height: 2px;
  width: 2px;
  border-radius: 0;
  background-color: #222;
}
